dnl
dnl $Id: config.m4,v 1.6 2006/02/08 13:41:16 mike Exp $
dnl

PHP_ARG_ENABLE(zip, for zip archive read/writesupport,
[  --enable-zip        Include Zip read/write support.])

if test "$PHP_ZIP" != "no"; then

	AC_MSG_CHECKING([for zlib.h])
	ZLIB_DIR=
	for i in "$PHP_ZIP" "$PHP_ZLIB_DIR" "$PHP_ZLIB" /user/local /usr /opt; do
		if test -f "$i/include/zlib.h"; then
			ZLIB_DIR=$i
			break;
		fi
	done
	if test -z "$ZLIB_DIR"; then
		AC_MSG_RESULT([not found])
		AC_MSG_WARN([could not find zlib.h])
	else
		AC_MSG_RESULT([found in $ZLIB_DIR])
		PHP_ADD_INCLUDE($ZLIB_DIR/include)
		PHP_ADD_LIBRARY_WITH_PATH(z, $ZLIB_DIR/$PHP_LIBDIR, HTTP_SHARED_LIBADD)
		AC_DEFINE([HTTP_HAVE_ZLIB], [1], [Have zlib support])
	fi

	PHP_ZIP_SOURCES="$PHP_ZIP_SOURCES lib/zip_add.c lib/zip_error.c lib/zip_fclose.c \
                         lib/zip_fread.c lib/zip_open.c lib/zip_source_filep.c  \
                         lib/zip_strerror.c lib/zip_close.c lib/zip_error_get.c \
                         lib/zip_file_error_get.c lib/zip_free.c lib/zip_rename.c \
                         lib/zip_source_free.c lib/zip_unchange_all.c lib/zip_delete.c \
                         lib/zip_error_get_sys_type.c lib/zip_file_get_offset.c \
                         lib/zip_get_name.c lib/zip_replace.c lib/zip_source_function.c \
                         lib/zip_unchange.c lib/zip_dirent.c lib/zip_error_strerror.c \
                         lib/zip_file_strerror.c lib/zip_get_num_files.c \
                         lib/zip_set_name.c lib/zip_source_zip.c lib/zip_unchange_data.c \
                         lib/zip_entry_free.c lib/zip_error_to_str.c lib/zip_fopen.c \
                         lib/zip_name_locate.c lib/zip_source_buffer.c lib/zip_stat.c \
                         lib/zip_entry_new.c lib/zip_err_str.c lib/zip_fopen_index.c \
                         lib/zip_new.c lib/zip_source_file.c lib/zip_stat_index.c"
	
	AC_DEFINE(HAVE_ZIP,1,[ ])
	PHP_NEW_EXTENSION(zip, php_zip.c zip_stream.c $PHP_ZIP_SOURCES, $ext_shared)
	PHP_ADD_BUILD_DIR($ext_builddir/lib, 1)
	PHP_SUBST(ZIP_SHARED_LIBADD)
fi
